Name: acpid
Version: 1.0.4
Release: alt6
Serial: 1

Summary: ACPI kernel daemon and control utility
License: GPL
Group: System/Servers

Url: http://sf.net/projects/acpid
Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source0: %name-%version.tar.gz
Source1: %name.init
Source2: poweroff.rc
Source3: %name.logrotate
Patch0: %name-1.0.4-alt-makefile-fixes.patch
Patch1: %name-1.0.4-alt-gcc4.patch
Patch2: %name-1.0.4-close-fd-on-client-disconnect.diff

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%make_build

%install
%__mkdir_p %buildroot%_bindir
%makeinstall INSTPREFIX=%buildroot
%__mkdir_p %buildroot%_initdir/
%__mkdir_p %buildroot%_sysconfdir/logrotate.d/
%__mkdir_p %buildroot%_sysconfdir/acpi/events/
%__install -m755 %SOURCE1 %buildroot%_initdir/%name
%__install -m644 %SOURCE2 %buildroot%_sysconfdir/acpi/events/power
%__install -m644 %SOURCE3 %buildroot%_sysconfdir/logrotate.d/%name

%post
%post_service %name
%preun
%preun_service %name

%files
%doc README samples/
%_bindir/*
%_sbindir/*
%dir %_sysconfdir/acpi
%dir %_sysconfdir/acpi/events
%config(noreplace) %_sysconfdir/acpi/events/power
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/logrotate.d/%name
%_mandir/man8/*

%changelog
* Thu Oct 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt6
- fix file descriptor leak (#8303)

* Thu Sep 08 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt5
- change service start/stop order (#7849)

* Sat Jul 23 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt4
- fix permissions on logrotate script and default event config
- fix Url
- fix building with gcc4 (just in case)

* Mon Mar 21 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt3
- fix logrotate script

* Wed Dec 29 2004 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt2
- add logrotate config (#5425)

* Tue Dec 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 1:1.0.4-alt1
- 1.0.4
- spec cleanup

* Fri Sep 12 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt3
- Fixed pidfile creation #2970

* Mon Aug 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt2
- Added pid file creation to daemon

* Mon Jul 07 2003 Albert R. Valiev <darkstar@altlinux.ru> 1:1.0.2-alt1
- New version (get from orphaned)

* Mon Nov 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-alt2
- Added man page

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.0-alt1
- 1.0.0

* Thu Jun 14 2001 Konstantin Volckov <goldhead@altlinux.ru> 20010510-alt1
- New version of acpid daemon
- Added powertools utilities
- Fixed documentation

* Tue Mar 20 2001 Kostya Timoshenko <kt@petr.kz> 071100-ipl7mdk
- build for RE
